# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewScreen

Function

Creates a new Object aligned to the final screen.

Syntax
`
#include <dx/dx.h>
`

Screen DXNewScreen(Object o, int position, int z)

Functional Details

A Screen Object is an Object that maintains a size and alignment with the screen (output image) independent of the camera view and scaling transformations applied to it.

The `position` parameter specifies one of the three options for positioning of the Screen Object as explained in the following material; it must be one of `SCREEN_WORLD`, `SCREEN_PIXEL` or `SCREEN_VIEWPORT`. The `z` parameter determines the relative depth of the Object, as described in the following text.

Three options are provided for the interpretation of translations applied to a Screen Object. First, a translation applied to the Screen Object may specify a new position for the origin of the Screen Object in world space (`SCREEN_WORLD`). Second, a translation applied to the Screen Object may specify a new location for the Screen Object in the image, measured in pixels, where (0,0) refers to the lower-left corner of the image (`SCREEN_PIXEL`). Third, a translation applied to the Screen Object may specify a new location for the Screen Object in the image, measured in viewport-relative coordinates, where (0,0) refers to the lower-left corner of the image and (1,1) refers to the upper-right corner of the image (`SCREEN_VIEWPORT`).

The `z` parameter controls where the Screen Object is displayed relative to all other Objects in the scene. -1 displays behind, 0 is in the scene, and +1 is in front of all other Objects.

The Object created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the Screen Object or returns `NULL` and sets an error code.

See Also

`DXGetScreenInfo, DXSetScreenObject`

16.5 , "Screen Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]